<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <ReleaseVersion>1.00</ReleaseVersion>
        <SynchReleaseVersion>false</SynchReleaseVersion>
        <OutputType>Library</OutputType>
        <TargetFramework>netstandard2.1</TargetFramework>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <DefineConstants>TRACE; </DefineConstants>
	</PropertyGroup>

	<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
	  <DefineConstants>$(DefineConstants)TRACE;PURGE</DefineConstants>
	</PropertyGroup>

    <ItemGroup>
        <Compile Remove="InABox.Logging.Shared\**" />
        <EmbeddedResource Remove="InABox.Logging.Shared\**" />
        <None Remove="InABox.Logging.Shared\**" />
        <None Remove=".gitignore" />
    </ItemGroup>
    <ItemGroup>
        <PackageReference Include="AutoProperties.Fody" Version="1.25.0" />
        <PackageReference Include="ExpressiveParser" Version="3.0.1" />
        <PackageReference Include="FluentResults" Version="3.15.2" />
        <PackageReference Include="Fody" Version="6.8.1">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Inflector.NetStandard" Version="1.2.2" />
        <PackageReference Include="PropertyChanged.Fody" Version="4.1.0" />
        <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
        <PackageReference Include="System.Collections.Immutable" Version="9.0.0-preview.4.24266.19" />
        <PackageReference Include="TextFieldParserStandard" Version="1.0.0" />
    </ItemGroup>
    <ItemGroup>
        <ProjectReference Include="..\inabox.logging.shared\InABox.Logging.Shared.csproj" />
    </ItemGroup>

</Project>
